from gym.envs.registration import register

register(
    id='Pendulum-wu-v0',
    entry_point='samples.envs.pendulum:PendulumEnv',
)

register(
    id='Pendulum-wou-v0',
    entry_point='samples.envs.pendulum:PendulumEnv',
    kwargs=dict(
        control_penalty=False
    )
)

register(
    id='AntTruncatedObs-v0',
    entry_point='samples.envs.truncated_obs_ant:AntTruncatedObsEnv',
)

register(
    id='HumanoidTruncatedObs-v0',
    entry_point='samples.envs.truncated_obs_humanoid:HumanoidTruncatedObsEnv',
)

register(
    id='AntTruncatedObsFH-v0',
    entry_point='samples.envs.mujocoFH:MujocoFH',
    kwargs=dict(
        env_name='AntTruncatedObs-v0'
    )
)

register(
    id='HumanoidTruncatedObsFH-v0',
    entry_point='samples.envs.mujocoFH:MujocoFH',
    kwargs=dict(
        env_name='HumanoidTruncatedObs-v0'
    )
)

register(
    id='HopperFH-v0',
    entry_point='samples.envs.mujocoFH:MujocoFH',
    kwargs=dict(
        env_name='Hopper-v2'
    )
)

register(
    id='Walker2dFH-v0',
    entry_point='samples.envs.mujocoFH:MujocoFH',
    kwargs=dict(
        env_name='Walker2d-v2'
    )
)

register(
    id='HalfCheetahFH-v0',
    entry_point='samples.envs.mujocoFH:MujocoFH',
    kwargs=dict(
        env_name='HalfCheetah-v2'
    )
)

register(
    id='AntFH-v0',
    entry_point='samples.envs.mujocoFH:MujocoFH',
    kwargs=dict(
        env_name='Ant-v2'
    )
)

register(
    id='HumanoidFH-v0',
    entry_point='samples.envs.mujocoFH:MujocoFH',
    kwargs=dict(
        env_name='Humanoid-v2'
    )
)


register(
    id='LiftFH-v0',
    entry_point='samples.envs.robosuiteFH:RobosuiteFH',
    kwargs=dict(
        env_name='Lift'
    )
)

register(
    id='DoorFH-v0',
    entry_point='samples.envs.robosuiteFH:RobosuiteFH',
    kwargs=dict(
        env_name='Door'
    )
)